## org.exist.xqj
Class XQException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.xml.xquery.XQException
                  org.exist.xqj.XQException

All Implemented Interfaces:
  java.io.Serializable

public class XQException
extends javax.xml.xquery.XQException

Author:
  Adam Retter <adam.retter@devon.gov.uk>
See Also:
  Serialized Form

Constructor Summary
`XQException(java.lang.String message)`
`XQException(java.lang.String message, java.lang.Throwable cause, java.lang.String vendorCode, javax.xml.xquery.XQException nextException)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XQException

    public XQException(java.lang.String message)

Parameters:
  `message` -

### XQException

    public XQException(java.lang.String message,
                       java.lang.Throwable cause,
                       java.lang.String vendorCode,
                       javax.xml.xquery.XQException nextException)

Parameters:
  `message` -
  `cause` -
  `vendorCode` -
  `nextException` -

Copyright (C) Wolfgang Meier. All rights reserved.